Subject: Re: [Bier] Request for WG Adoption//FW: New Version Notification for draft-xie-bier-ipv6-encapsulation-08.txt

From: Zhuangzhuang Qin(联通北京市北京市分公司) <[email-masked]>
Date: Mon, 13 Jul 2020 09:41:19 +0000

Hi WG,

    From the  service provider's perspective, I think BIERv6 is a well-designed multicast solution and very promising to be deployed in the network.
    As co-author of the draft，I support the adoption and I’m looking forward to seeing more progress in IETF.

Best Regards

ZhuangZhuang Qin
ChinaUnicom

& Sorry  for my email address  was always blocked for spam. And I changed my address twice. So……  beg for me.

============== following is At 2020-07-13 14:31:02, "Gengxuesong (Geng Xuesong)" <[email-masked]<mailto:[email-masked]>> wrote: =======

Dear BIER WG,

We have published a new version of draft-xie-bier-ipv6-encapsulation-08*, and we would like to request WG adoption for the document.

Best Regards

Xuesong

----

Per the direction of WG, we have asked 6man’s review. We’ve received all positive comments with some great editorial suggestions.

In this version, we have updated the document based these feedback:

1.      Reasonability of using IPv6 unicast address is confirmed, so extra descriptions in section 3.2 are removed and put into Appendix C;

2.      A diagram showing BIERv6 packet processing in an IPv6 domain is added in section 4 to show how a BIERv6 packet goes through a non-BIER IPv6 node;

3.      Descriptions about the relationship between BIERv6 and BIER are added in Appendix A; The corresponding control plane extensions are added in Appendix B;

The document have also addressed all the concerns that has been raised in BIER WG:

1.      How BIERv6 could support BIER architecture defined in RFC 8279, including OAM;

2.      How BIERv6 security is guaranteed;

3.      The technical benefits brought by BIERv6;

After all the updates , we believe the document is ready for WG adoption.

> -----Original Message-----

> From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]<mailto:[email-masked]>]

> Sent: Monday, July 13, 2020 2:26 PM

> To: Xiejingrong (Jingrong) <[email-masked]<mailto:[email-masked]>>; Gengxuesong (Geng

> Xuesong) <[email-masked]<mailto:[email-masked]>>; Rajiv Asati <[email-masked]<mailto:[email-masked]>>; Liang

> Geng <[email-masked]<mailto:[email-masked]>>; Gyan Mishra

> <[email-masked]<mailto:[email-masked]>>; MooChang Shin <[email-masked]<mailto:[email-masked]>>;

> Senthil Dhanaraj <[email-masked]<mailto:[email-masked]>>; Yongqing Zhu

> <[email-masked]<mailto:[email-masked]>>; Mike McBride <[email-masked]<mailto:[email-masked]>>;

> Zhuangzhuang Qin <[email-masked]<mailto:[email-masked]>>

> Subject: New Version Notification for draft-xie-bier-ipv6-encapsulation-08.txt

> A new version of I-D, draft-xie-bier-ipv6-encapsulation-08.txt

> has been successfully submitted by Xuesong Geng and posted to the IETF

> repository.

> Name:            draft-xie-bier-ipv6-encapsulation

> Revision:        08

> Title:               Encapsulation for BIER in Non-MPLS IPv6 Networks

> Document date:   2020-07-13

> Group:            Individual Submission

> Pages:            21

> URL:

> https://www.ietf.org/internet-drafts/draft-xie-bier-ipv6-encapsulation-08.txt

> Status:

> https://datatracker.ietf.org/doc/draft-xie-bier-ipv6-encapsulation/

> Htmlized:

> https://tools.ietf.org/html/draft-xie-bier-ipv6-encapsulation-08

> Htmlized:

> https://datatracker.ietf.org/doc/html/draft-xie-bier-ipv6-encapsulation

> Diff:

> https://www.ietf.org/rfcdiff?url2=draft-xie-bier-ipv6-encapsulation-08

> Abstract:

>    This document proposes a BIER IPv6 (BIERv6) encapsulation for Non-

>    MPLS IPv6 Networks using the IPv6 Destination Option extension

>    header.  This document updates RFC 8296.

> Please note that it may take a couple of minutes from the time of submission

> until the htmlized version and diff are available at tools.ietf.org.

> The IETF Secretariat

如果您错误接收了该邮件，请通过电子邮件立即通知我们。请回复邮件到 [email-masked]，即可以退订此邮件。我们将立即将您的信息从我们的发送目录中删除。 If you have received this email in error please notify us immediately by e-mail. Please reply to [email-masked] ,you can unsubscribe from this mail. We will immediately remove your information from send catalogue of our.

---

From: Michael McBride <[email-masked]>
Date: Mon, 13 Jul 2020 22:47:17 +0000

Given the progress of the bier ipv6 requirements draft, and the feedback from 6man, I agree that it’s time for the bier wg to begin considering calls for adoption of solutions like this.

mike

From: BIER <[email-masked]> On Behalf Of Zhuangzhuang Qin(???????????)
Sent: Monday, July 13, 2020 2:41 AM
To: [email-masked]; Gengxuesong (Geng Xuesong) <[email-masked]>
Subject: Re: [Bier] Request for WG Adoption//FW: New Version Notification for draft-xie-bier-ipv6-encapsulation-08.txt

Hi WG,

Best Regards

ZhuangZhuang Qin
ChinaUnicom

Dear BIER WG,

Best Regards

Xuesong

----

> https://www.ietf.org/internet-drafts/draft-xie-bier-ipv6-encapsulation-08.txt<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Finternet-drafts%2Fdraft-xie-bier-ipv6-encapsulation-08.txt&data=02%7C01%7Cmichael.mcbride%40futurewei.com%7Cd42b95fbe86a432edfa708d827117dca%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637302303392010864&sdata=04Y1nymTOsFFBDP5cfGVx303Mv0%2F%2B6KZW4MC%2Fl3URbM%3D&reserved=0>

> https://datatracker.ietf.org/doc/draft-xie-bier-ipv6-encapsulation/<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-xie-bier-ipv6-encapsulation%2F&data=02%7C01%7Cmichael.mcbride%40futurewei.com%7Cd42b95fbe86a432edfa708d827117dca%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637302303392020854&sdata=gereNPaLQTT34LHDSOJc7BV8iUyEOa2k%2FschpyUgJls%3D&reserved=0>

> https://tools.ietf.org/html/draft-xie-bier-ipv6-encapsulation-08<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Ftools.ietf.org%2Fhtml%2Fdraft-xie-bier-ipv6-encapsulation-08&data=02%7C01%7Cmichael.mcbride%40futurewei.com%7Cd42b95fbe86a432edfa708d827117dca%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637302303392020854&sdata=wtRWPFbGmJzNGQ3wewJAsO0x%2Fcy1HcmGfzyr%2FRENlWc%3D&reserved=0>

> https://datatracker.ietf.org/doc/html/draft-xie-bier-ipv6-encapsulation<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fhtml%2Fdraft-xie-bier-ipv6-encapsulation&data=02%7C01%7Cmichael.mcbride%40futurewei.com%7Cd42b95fbe86a432edfa708d827117dca%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637302303392030844&sdata=hjz5xe1NpHPPmm9KJC6yI%2FgxTyW%2FzjxuY%2FUtJGLVugo%3D&reserved=0>

> https://www.ietf.org/rfcdiff?url2=draft-xie-bier-ipv6-encapsulation-08<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Frfcdiff%3Furl2%3Ddraft-xie-bier-ipv6-encapsulation-08&data=02%7C01%7Cmichael.mcbride%40futurewei.com%7Cd42b95fbe86a432edfa708d827117dca%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637302303392040841&sdata=XT%2Fcx3g4wGT3MhRX8SDW2y4WTNn5n1qmL3XguU7beMA%3D&reserved=0>

如果您错误接收了该邮件，请通过电子邮件立即通知我们。请回复邮件到 [email-masked]，即可以退订此邮件。我们将立即将您的信息从我们的发送目录中删除<mailto:[email-masked]，即可以退订此邮件。我们将立即将您的信息从我们的发送目录中删除>。 If you have received this email in error please notify us immediately by e-mail. Please reply to [email-masked]<mailto:[email-masked]> ,you can unsubscribe from this mail. We will immediately remove your information from send catalogue of our.

---

From: Dirk Trossen <[email-masked]>
Date: Wed, 15 Jul 2020 13:10:45 +0000

All,

Given the update of the draft along the comments received and considering the feedback from 6man, I do support the WG adoption of this draft.

Best,

Dirk

From: BIER [mailto:[email-masked]] On Behalf Of Michael McBride
Sent: 14 July 2020 00:47
To: Zhuangzhuang Qin(联通北京市北京市分公司) <[email-masked]>; [email-masked]; Gengxuesong (Geng Xuesong) <[email-masked]>
Subject: Re: [Bier] Request for WG Adoption//FW: New Version Notification for draft-xie-bier-ipv6-encapsulation-08.txt

mike

From: BIER <[email-masked]<mailto:[email-masked]>> On Behalf Of Zhuangzhuang Qin(???????????)
Sent: Monday, July 13, 2020 2:41 AM
To: [email-masked]<mailto:[email-masked]>; Gengxuesong (Geng Xuesong) <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Bier] Request for WG Adoption//FW: New Version Notification for draft-xie-bier-ipv6-encapsulation-08.txt

Hi WG,

Best Regards

ZhuangZhuang Qin
ChinaUnicom

Dear BIER WG,

Best Regards

Xuesong

----

---

From: Gyan Mishra <[email-masked]>
Date: Sat, 18 Jul 2020 02:10:44 -0400

All

Given the progress made on the bier ipv6 requirements draft to help support
the Bierv6 IPv6 encapsulation solution as well as the  positive feedback
from 6man, I also agree that it’s time for the bier wg to begin considering
calls for adoption of this solution.

Kind Regards,

Gyan

On Wed, Jul 15, 2020 at 9:11 AM Dirk Trossen <[email-masked]>
wrote:

> All,
>
>
>
> Given the update of the draft along the comments received and considering
> the feedback from 6man, I do support the WG adoption of this draft.
>
>
>
> Best,
>
>
>
>
>
> Dirk
>
>
>
> *From:* BIER [mailto:[email-masked]] *On Behalf Of *Michael McBride
> *Sent:* 14 July 2020 00:47
> *To:* Zhuangzhuang Qin(联通北京市北京市分公司) <[email-masked]>;
> [email-masked]; Gengxuesong (Geng Xuesong) <[email-masked]>
> *Subject:* Re: [Bier] Request for WG Adoption//FW: New Version
> Notification for draft-xie-bier-ipv6-encapsulation-08.txt
>
>
>
> Given the progress of the bier ipv6 requirements draft, and the feedback
> from 6man, I agree that it’s time for the bier wg to begin considering
> calls for adoption of solutions like this.
>
>
>
> mike
>
>
>
> *From:* BIER <[email-masked]> *On Behalf Of *Zhuangzhuang
> Qin(???????????)
> *Sent:* Monday, July 13, 2020 2:41 AM
> *To:* [email-masked]; Gengxuesong (Geng Xuesong) <[email-masked]>
> *Subject:* Re: [Bier] Request for WG Adoption//FW: New Version
> Notification for draft-xie-bier-ipv6-encapsulation-08.txt
>
>
>
> Hi WG,
>
>
>
>     From the  service provider's perspective, I think BIERv6 is a
> well-designed multicast solution and very promising to be deployed in the
> network.
>
> & *Sorry  for my email address  was always blocked for spam.** And I
> changed my address twice. **So**……**  beg for me.*
>
>
>
> ============== following is At 2020-07-13 14:31:02, "Gengxuesong (Geng
> Xuesong)" <[email-masked]> wrote: =======
>
>
>
> Dear BIER WG,
>
>
>
> We have published a new version of draft-xie-bier-ipv6-encapsulation-08*,
> and we would like to request WG adoption for the document.
>
>
>
> Best Regards
>
> Xuesong
>
> ----
>
> Per the direction of WG, we have asked 6man’s review. We’ve received all
> positive comments with some great editorial suggestions.
>
> 1.      Reasonability of using IPv6 unicast address is confirmed, so extra
> descriptions in section 3.2 are removed and put into Appendix C;
>
> 2.      A diagram showing BIERv6 packet processing in an IPv6 domain is
> added in section 4 to show how a BIERv6 packet goes through a non-BIER IPv6
> node;
>
> 3.      Descriptions about the relationship between BIERv6 and BIER are
> added in Appendix A; The corresponding control plane extensions are added
> in Appendix B;
>
> > From: [email-masked] [mailto:[email-masked]]
>
> > To: Xiejingrong (Jingrong) <[email-masked]>; Gengxuesong (Geng
>
> > Xuesong) <[email-masked]>; Rajiv Asati <[email-masked]>; Liang
>
> > Geng <[email-masked]>; Gyan Mishra
>
> > <[email-masked]>; MooChang Shin <[email-masked]>;
>
> > Senthil Dhanaraj <[email-masked]>; Yongqing Zhu
>
> > <[email-masked]>; Mike McBride <[email-masked]>;
>
> > Zhuangzhuang Qin <[email-masked]>
>
> <https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Finternet-drafts%2Fdraft-xie-bier-ipv6-encapsulation-08.txt&data=02%7C01%7Cmichael.mcbride%40futurewei.com%7Cd42b95fbe86a432edfa708d827117dca%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637302303392010864&sdata=04Y1nymTOsFFBDP5cfGVx303Mv0%2F%2B6KZW4MC%2Fl3URbM%3D&reserved=0>
>
> > Status:
>
> <https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-xie-bier-ipv6-encapsulation%2F&data=02%7C01%7Cmichael.mcbride%40futurewei.com%7Cd42b95fbe86a432edfa708d827117dca%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637302303392020854&sdata=gereNPaLQTT34LHDSOJc7BV8iUyEOa2k%2FschpyUgJls%3D&reserved=0>
>
> > Htmlized:
>
> <https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Ftools.ietf.org%2Fhtml%2Fdraft-xie-bier-ipv6-encapsulation-08&data=02%7C01%7Cmichael.mcbride%40futurewei.com%7Cd42b95fbe86a432edfa708d827117dca%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637302303392020854&sdata=wtRWPFbGmJzNGQ3wewJAsO0x%2Fcy1HcmGfzyr%2FRENlWc%3D&reserved=0>
>
> > Htmlized:
>
> <https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fhtml%2Fdraft-xie-bier-ipv6-encapsulation&data=02%7C01%7Cmichael.mcbride%40futurewei.com%7Cd42b95fbe86a432edfa708d827117dca%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637302303392030844&sdata=hjz5xe1NpHPPmm9KJC6yI%2FgxTyW%2FzjxuY%2FUtJGLVugo%3D&reserved=0>
>
> > Diff:
>
> <https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Frfcdiff%3Furl2%3Ddraft-xie-bier-ipv6-encapsulation-08&data=02%7C01%7Cmichael.mcbride%40futurewei.com%7Cd42b95fbe86a432edfa708d827117dca%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637302303392040841&sdata=XT%2Fcx3g4wGT3MhRX8SDW2y4WTNn5n1qmL3XguU7beMA%3D&reserved=0>
>
> >
>
> > Abstract:
>
> 如果您错误接收了该邮件，请通过电子邮件立即通知我们。请回复邮件到 [email-masked]，即可以退
> 订此邮件。我们将立即将您的信息从我们的发送目录中删除。 If you have received this email in error
> please notify us immediately by e-mail. Please reply to
> [email-masked] ,you can unsubscribe from this mail. We will
> immediately remove your information from send catalogue of our.
> _______________________________________________
> BIER mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/bier
>

-- 

<http://www.verizon.com/>

*Gyan Mishra*

*Network Solutions A**rchitect *

*M 301 502-134713101 Columbia Pike *Silver Spring, MD

---

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Sat, 18 Jul 2020 08:01:38 +0000

Same here,

The work at RAW indicates the need to steer a packet within a complex structure that could be expressed using BIER (TE).

Coupling BIER and IPv6 may provide benefits in that case, see https://datatracker.ietf.org/doc/draft-pthubert-raw-architecture/

Regards,

Pascal

Le 18 juil. 2020 à 08:12, Gyan Mishra <[email-masked]> a écrit :

All

Given the progress made on the bier ipv6 requirements draft to help support the Bierv6 IPv6 encapsulation solution as well as the  positive feedback from 6man, I also agree that it’s time for the bier wg to begin considering calls for adoption of this solution.

Kind Regards,

Gyan

On Wed, Jul 15, 2020 at 9:11 AM Dirk Trossen <[email-masked]<mailto:[email-masked]>> wrote:
All,

Best,

Dirk

From: BIER [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of Michael McBride
Sent: 14 July 2020 00:47
To: Zhuangzhuang Qin(联通北京市北京市分公司) <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; Gengxuesong (Geng Xuesong) <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Bier] Request for WG Adoption//FW: New Version Notification for draft-xie-bier-ipv6-encapsulation-08.txt

mike

Hi WG,

Best Regards

ZhuangZhuang Qin
ChinaUnicom

Dear BIER WG,

Best Regards

Xuesong

----

After all the updates , we believe the document is ready for WG adoption..

> To: Xiejingrong (Jingrong) <[email-masked]<mailto:xiejingrong@huawei..com>>; Gengxuesong (Geng

> until the htmlized version and diff are available at tools.ietf.org<http://tools.ietf.org>.

如果您错误接收了该邮件，请通过电子邮件立即通知我们。请回复邮件到 [email-masked]，即可以退订此邮件。我们将立即将您的信息从我们的发送目录中删除<mailto:[email-masked]，即可以退订此邮件。我们将立即将您的信息从我们的发送目录中删除>。 If you have received this email in error please notify us immediately by e-mail. Please reply to [email-masked]<mailto:[email-masked]> ,you can unsubscribe from this mail. We will immediately remove your information from send catalogue of our.
_______________________________________________
BIER mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/bier

--

[http://ss7.vzw.com/is/image/VerizonWireless/vz-logo-email]<http://www.verizon.com/>

Gyan Mishra

Network Solutions Architect

M 301 502-1347
13101 Columbia Pike
Silver Spring, MD